Get a relationship and its assessment details
curl --request GET \
--url https://app.visotrust.com/api/v1/relationships/{id}import requests
url = "https://app.visotrust.com/api/v1/relationships/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.visotrust.com/api/v1/relationships/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": 123,
"homepage": "<string>",
"description": "<string>",
"businessUnit": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"recertificationDate": "2023-11-07T05:31:56Z",
"status": "ARCHIVED",
"inherentRisk": "NO_CONTEXT",
"inherentRiskScore": 123,
"residualRisk": "NO_CONTEXT",
"residualRiskScore": 123,
"isTransitional": true,
"contextTypes": [
{
"name": "<string>"
}
],
"dataTypes": [
{
"name": "<string>"
}
],
"businessOwner": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"assessmentLead": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"recertificationType": "MANUAL",
"subscribers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
}
],
"primaryContact": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"tags": [
"<string>"
],
"tier": "<string>",
"complianceStandards": [
"C5"
],
"latestAssessment": {
"id": 123,
"sentBy": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"requestedArtifactCollection": true,
"status": "NOT_ASSESSED",
"sentToEmail": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"summary": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"requestedAuditTypes": [
"<string>"
],
"aiProcessingOnly": true,
"noVendorResponseAction": "CLOSE_COLLECTION_REQUEST",
"collectionTimeline": "SEVEN_DAYS",
"followupTimeline": "SEVEN_DAYS",
"followupRiskThreshold": "NO_CONTEXT",
"followupType": "MANUAL",
"statusHistories": [
{
"date": "2023-11-07T05:31:56Z",
"status": "NOT_ASSESSED"
}
],
"createdReason": "INITIAL_ASSESSMENT",
"assessmentType": "<string>",
"sentToFirstName": "<string>",
"sentToLastName": "<string>",
"recommendations": [
{
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"recommendationType": "EXPIRED"
}
],
"updatedDate": "2023-11-07T05:31:56Z",
"phaseDate": "2023-11-07T05:31:56Z"
},
"riskAcceptanceStatus": "RISK_ACCEPTED",
"externalId": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"dimensionCoverage": [
{
"dimension": "<string>",
"inScope": true,
"coverage": "<string>",
"coveragePercentage": "<string>"
}
]
}Relationships
Get a relationship and its assessment details
GET
/
api
/
v1
/
relationships
/
{id}
Get a relationship and its assessment details
Path Parameters
Response
200 - application/json
OK
Available options:
ARCHIVED, NOT_ONBOARDED, ONBOARDED, PURGED Available options:
NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME Available options:
NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
MANUAL, AUTOMATIC, NONE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
C5, CCPA, CSA_STAR, CSA_LEVEL2, FEDRAMP, GDPR, GLBA, HIPAA, HITRUST, ISO27001, ISO27017, ISO27018, ISO27701, ISO21434, ISO22301, ISO42001, ISOIEC_2700127002, ISOIEC_2701727002, ISOIEC_2701827002, PCIDSS, PRIVACY_SHIELD, SOC1, SOC2, SOC3, TISAXREPORTLEVEL3 Show child attributes
Show child attributes
Available options:
RISK_ACCEPTED, REVIEW_NEEDED, REMEDIATION_REQUESTED Show child attributes
Show child attributes